###########################################
#                                         #
#  Improvements and feedback are welcome  #
#                                         #
#  This file is released under GPL >= 3   #
#                                         #
###########################################

# required stuff
tde_setup_architecture_flags( )

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )
find_package( TQt )


##### check for gcc visibility support

if( WITH_GCC_VISIBILITY )
  tde_setup_gcc_visibility( )
endif( WITH_GCC_VISIBILITY )


##### look for tqt3 headers path

execute_process(
      COMMAND ${PKG_CONFIG_EXECUTABLE}
      --variable=includedir tqt-mt
      OUTPUT_VARIABLE TQT_HEADERS_DIRS
      OUTPUT_STRIP_TRAILING_WHITESPACE
)


if( BUILD_TQCA_TLS )
##### check for openssl

find_package( OpenSSL )
if( NOT OPENSSL_FOUND )
    tde_message_fatal( "OpenSSL is required but was not found on your system" )
endif()
 

##### look for tqt3 plugins path

execute_process(
      COMMAND ${PKG_CONFIG_EXECUTABLE}
      --variable=pluginsdir tqt-mt
      OUTPUT_VARIABLE TQT_PLUGINS_DIR
      OUTPUT_STRIP_TRAILING_WHITESPACE
)
if( TQT_PLUGINS_DIR )
    set( TQT_PLUGINS_CRYPTO_DIR "${TQT_PLUGINS_DIR}/crypto" )
endif()
endif( BUILD_TQCA_TLS )
